<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Search</title>

    <style>

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

        //            height: 60px;

            line-height: 60px;

        }

        h2 {

            margin: auto;

            text-align: center;

            padding:  30px;

        }

        .container {

            width:  400px;

            margin: auto;

            border: 1px solid red;

        }

        .left-col, .right-col {

            float:  left;

            width:  100%;

            height: 280px;

            border: 1px solid #990000;

        }

        .label, .input {

            float:  left;

            width:  130px;

            margin: 3px;

        }

        .label {

            margin-left: 40px;

        }

        .input>input, .input>select {

            width:  100%;

        }

        .search-submit {

            margin-top: 20px;

            margin-left: 170px;

            width:  80px;

        }

    </style>

</head>

<?php

//user info
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli($host, $userid, $userpw, $db);

//check connection
if ($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
} else {
    echo "db connection success!<br>";
}
?>


<?php
//SQL statements

//manufacturer sql
$ManufacturerQuery = "SELECT manufacturer FROM manufacturers";
$ManufacturerResult = $mysql->query($ManufacturerQuery);
// Check for Manufacturer SQL query errors
if (!$ManufacturerResult) {
    echo "Manufacturer query error: " . $mysql->error;
    exit();
}

//Operating System Sql
$Op_system_Query = "SELECT system FROM systems";
$Op_system_Result = $mysql->query($Op_system_Query);
// Check for Operating System SQL query errors
if (!$Op_system_Result) {
    echo "Operating System query error: " . $mysql->error;
    exit();
}

//type Sql
$TypeQuery = "SELECT type FROM types";
$TypeResult = $mysql->query($TypeQuery);
// Check for Type SQL query errors
if (!$TypeResult) {
    echo "Type query error: " . $mysql->error;
    exit();
}
?>

<body>

<div class="container">

    <h1>Mobile Devices Database</h1>

    <div class="left-col">

        <h2>Search the Database</h2>

        <form method="get" action="result.php">

            <div class="label">Device Name:</div>

            <div class="input">

                <input type="text" name="device_name"/>

            </div>

            <br clear="all"/>



            <div class="label">Manufacturer :</div>

            <div class="input">

                <select name="manufacturer_id">

                    <option value='all'>All</option>
                    <?php

                    while ($row = $ManufacturerResult->fetch_assoc()) {
                        echo "<option value='" . $row['manufacturer'] . "'>" . $row['manufacturer'] . "</option>";
                    }
                    ?>
                </select>

            </div>

            <br clear="all"/>



            <div class="label">Operating System:</div>

            <div class="input">

                <select name="system_id">

                    <option value='all'>All</option>

                    <?php

                    while ($row = $Op_system_Result->fetch_assoc()) {
                        echo "<option value='" . $row['system'] . "'>" . $row['system'] . "</option>";
                    }
                    ?>
                </select>

            </div>

            <br clear="all"/>



            <div class="label">Type:</div>

            <div class="input">

                <select name="type_id">

                    <option value='all'>All</option>

                    <?php

                    while ($row = $TypeResult->fetch_assoc()) {
                        echo "<option value='" . $row['type'] . "'>" . $row['type'] . "</option>";
                    }
                    ?>
                </select>

            </div>

            <br clear="all"/>
            

            <input class="search-submit" type="submit" value="Search"/>

        </form>

    </div>

    <br clear="all"/>

</div>

</body>

</html>